<?php
//importa o arquivo que está pasta modelo.
require_once "modelo/Quadrado.php";
//recupera o método que foi utilizado
$metodo = $_SERVER['REQUEST_METHOD'];
if ($metodo == "GET") {
    //caso seja o método GET entra no if
    //se é o método get os dados vieram pela url.
    $vetor = explode("/", $_SERVER['REQUEST_URI']);
    //o lado do quadrado está na posição 3 do vetor
    //http://localhost/quadrado/area/[10]
    $lado = $vetor[3];
} else if ($metodo == "POST") {
    //entra cado o método de envio seja post.
    //recupera a string json recebida.
    //verifique abaixo o modelo de json que pode ser enviado
    /*
        {
            "lado":2
        }
    */
    $jsonRecebido = file_get_contents('php://input');
    //converte os dados em um objeto json
    $obj = json_decode($jsonRecebido);
    //recupera a propriedade lado do json 
    $ladoQuadarado = $obj->lado;
}
//cria o objeto $r1 da classe quadarado.
$r1 = new Quadrado();
//"insere o valor dentro do objeto $r1"
$r1->setLado($ladoQuadarado);
//chama o método para calcular
$perimetro = $r1->perimetro();

//cria um vetor de resposta
$resposta = array();
//cria a posição 'perimetro' no vetor resposta e insere o valor do perimetro
$resposta['perimetro'] = $perimetro;
//envia a resposta http
header("HTTP/1.1 200 OK");
//envia a resposta http contendo o tipo de retorno do programa
header('Content-Type: application/json; charset=utf-8');
//converte o vetor $resposta para json e imprime o valor;
echo json_encode($resposta);
